-------------------------------------------------------------------

     =========================================================
     Geant4 - an Object-Oriented Toolkit for Simulation in HEP
     =========================================================

                      Category History file
                      ---------------------
This file should be used by G4 developers and category coordinators
to briefly summarize all major modifications introduced in the code
and keep track of all category-tags.
It DOES NOT substitute the  CVS log-message one should put at every
committal in the CVS repository !

     ----------------------------------------------------------
     * Reverse chronological order (last date on top), please *
     ----------------------------------------------------------

History file for visualization/FukuiRenderer sub-category
---------------------------------------------------------

26 August 2021  Ben Morgan (DAWN-V10-07-02)
- Remove obsolete network FukuiRenderer driver

07 June 2021  John Allison (DAWN-V10-07-01)
- Fix hidden function warning.

14 April 2021 Ben Morgan (DAWN-V10-07-00)
- Migrate to modular CMake build

2 October 2020  John Allison  (DAWN-V10-06-03)
- G4FukuiRendererViewer.cc:
  o Fix "overlapping comparisons always evaluate to true".

3 July 2020  John Allison  (DAWN-V10-06-02)
- G4DAWNFILEViewer.cc:
  o Fix Unbuntu 20 compiler warning about ignoring return value
    of ‘int system(const char*)’.

31 May 2020 Ben Morgan (DAWN-V10-06-01)
- Use add_definitions to set PRIVATE-level compile add_definitions
  for compatibility between old and new CMake systems

12 December 2019 Ben Morgan (DAWN-V10-06-00)
- Cleanup CMake build, removing obsolete granular library option and
  explicit include_directories.

29 August 2019  John Allison (DAWN-V10-05-00)
- Part of vis-V10-05-24.
- Add G4TessellatedSolid to list of solids that may be specially treated

26th May 2018  John Allison (DAWN-V10-04-00)
- G4DAWNFILESceneHandler.cc: Fix gcc-8 warnings.

7th May 2017  John Allison (DAWN-V10-03-00)
- G4DAWNFILESceneHandler.cc:
  o In g4_<N>.prim, expand to 4 digits, e.g., g4_0000.prim, g4_0001.prim,...
    so that many files can be generated in filename sequence for ease of
    making a movie, for example.
  o To take advantage of this one has to set the following environment variable
      export G4DAWNFILE_MAX_FILE_NUM=9999
    or
      setenv G4DAWNFILE_MAX_FILE_NUM 9999

19th November 2016  John Allison (DAWN-V10-02-02)
- Fixed the GetColour() problem.

11th September 2016  John Allison (DAWN-V10-02-01)
- GetColour/GetColor no longer takes an argument.
- Make sure applicable vis attributes are obtained.
  // Get and check applicable vis attributes.
  //   fpVisAttribs = fpViewer->GetApplicableVisAttributes(fpVisAttribs);
  // Note: the vis attributes may have been modified by the viewer.  See
  // code in G4VViewer::GetApplicableVisAttributes.

31st August 2016  John Allison (DAWN-V10-02-00)
- Fix G4Orb and G4Ellipsoid hiding warnings.

2nd February 2015  Gabriele Cosmo  (DAWN-V10-01-00)
- Fix to sources.cmake script to include missing dependency on external library.

13th May 2014  John Allison  (DAWN-V10-00-02)
- Coworks: visman-V10-00-08, opengl-V10-00-05 and openinventor-V10-00-01.
- Moved G4VisFeaturesOfDAWNFILE and G4VisFeaturesOfFukuiRenderer from
  management sub-category.

14th March 2014  Laurent Garnier  (DAWN-V10-00-01)
- G4FRClientServer.cc: Remove MAX_BINDING_TRIAL and BINDING_TRIAL_INTERVAL due to
  compilation warnings on clang (mac os 10.9)

9th December 2013  John Allison  (DAWN-V10-00-00)
- G4DAWNFILE.cc: Declared as G4VGraphicsSystem::fileWriter.

15th November 2013  John Allison (DAWN-V09-06-06)
- Some changes as suggested by PVS.

7th November 2013  Gabriele Cosmo  (DAWN-V09-06-05, DAWN-V09-06-04)
- Replaced deprecated calls to solids accessor methods.

29th January 2013  John Allison  (DAWN-V09-06-03)
- Revert to DAWN-V09-06-00.

12th January 2013  John Allison  (DAWN-V09-06-02)
- Coverity fixes.

2nd December 2012  John Allison  (DAWN-V09-06-00)
  o Removed NURBS.

20th July 2012  John Allison  (DAWN-V09-05-05)
- Added print-once warnings for 2D.

19th July 2012  John Allison
- G4FukuiRendererSceneHandler.hh, G4DAWNFILESceneHandler.hh:
  o Added SendStrDouble3Str.
- G4FRSceneFunc.icc:
  o G4FRSCENEHANDLER::AddPrimitive ( const G4Text& text ):
    . Intercepted 2D text.
    . First try: Mapped -1<x<1, -1<y<1 to 10<x<200, 53<y<243.
  o Implemented SendStrDouble3Str.

5th July 2012  Gabriele Cosmo  (DAWN-V09-05-04)
- Explicitly use inclusion of headers for system of units and physical
  constants, in plan to remove implicit inclusion from globals.hh.

8th June 2012  John Allison  (DAWN-V09-05-03)
- Shadow clean.

23rd May 2012  John Allison  (DAWN-V09-05-02)
- Health Check 2012: Migrated (see management/History):
  o G4FukuiRendererSceneHandler.cc, G4DAWNFILESceneHandler.cc:
    . Removed ClearStore.
  o G4FRSCENEHANDLER::ClearTransientStore:
    . Removed call to G4VSceneHandler::ClearTransientStore.

28th February 2012  John Allison  (DAWN-V09-05-01)
- Migrated to G4VScenehandler::fObjectTransformation.

13th January 2012  John Allison  (DAWN-V09-05-00)
- G4DAWNFILEViewer.cc:
  o Fixed Ubuntu warning about ignoring return value of system call.

17th May 2010  John Allison  (DAWN-V09-04-00)
- G4FRSceneFunc.icc: Fixed gcc-4.6.0 warning.

23, December L. Garnier
- GNUmakefile : Remove OpenGL/Qt stuff from Makefile

11 November 2010  Akinori Kimura (DAWN-V09-03-01)
- Replaced G4cerr with G4cout and added the following line before G4cout.
  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)

30th May 2010  John Allison  (DAWN-V09-03-00)
- G4DAWN/FukuiRendererSceneHandler: Added AddCompound(const G4VDigi&).

21st October 2009  John Allison  (DAWN-V09-02-00 coworks greps-V09-02-02)
- Added default AddCompound (const G4THitsMap<G4double>&) methods.
  o Prevents warnings about hiding - calls G4VSceneHandler base class.

10th July 2006  John Allison  (DAWN-V08-01-00)
- G4FRSceneFunc.icc: G4FRSCENEHANDLER::SendNdiv respects forced line
  segments per circle.

12th June 2006  John Allison  (DAWN-V08-00-04)
- Fixed rewind problem:
  o G4FRofstream.hh: Removed rewind (badly implemented).
  o G4DAWNFILEViewer.cc: ClearView closes and re-opens file.
- G4DAWNFILESceneHandler.cc: Fixed file closure on exit:

2nd June 2006  John Allison  (DAWN-V08-00-03)
- G4DAWNFILESceneHandler.cc: Close file in destructor if required.
- G4FRSceneFunc.icc: Improve behaviour when no model exists.

4th May 2006  John Allison  (DAWN-V08-00-02)
- Improved protection for null models and parameters.

19th April 2006  John Allison  (DAWN-V08-00-01)
- G4FRSceneFunc.icc: Migrated to direct access to G4PhysicalVolumeModel.

23rd January 2006  John Allison  (DAWN-V08-00-00)
- Implemented G4FRofstream::Rewind.  Used in ClearView.  Avoids
  duplicate geomtries in output file.

13th October 2005  John Allison  (DAWN-V07-01-00)
- Migrated to <sstream>.

27th May 2005  John Allison  (DAWN-V07-00-00)
- Fixed bug introduced in ClearTransientStore.

22nd September 2004  John Allison  (DAWN-V06-02-00)
- Improve diagnostic on trapping non-regular polyhedra.

4th October 2003  Gabriele Cosmo (vis-V05-02-01)
- Simplified GNUmakefile.

DAWN-V04-01-01 Satoshi TANAKA  Sept 01, 2002
- Precision control with "setenv G4DAWNFILE_PRECISION number".

DAWN-V03-02-01 Satoshi TANAKA  Sept 18, 2001
- Maximal number of g4.prim file is changed from 99 to 100.

DAWN-V03-02-00 Satoshi TANAKA  Sept 17, 2001
- Updation for automatic visualization implemented at
  Hebden Bridge mini-workshop.

DAWN-V01-01-04
- Target =  standard target in scene
          + relative target in view
  (G4DAWNFILEView.cc, G4FukuiRendererView.cc)
- Automatic filename incrementation is made default.
  g4_00.prim, g4_01.prim, ... , g4_99.prim
  g4_00.eps , g4_01.eps , ... , g4_99.eps

DAWN-V01-01-03  Satoshi TANAKA  May 11, 2000
- In G4DAWNFILEViewer.cc,
  <       strcpy( fPSViewer, "ghostview" );
  ---
  > //    strcpy( fPSViewer, "ghostview" );
  >       strcpy( fPSViewer, "gv" );

DAWN-V00-01-08
- Removed implicit casting from the previous updation

DAWN-V00-01-06  Satoshi TANAKA  Nov 30, 1999
- Fixing improper definition of alpha1, alpha2

DAWN-V00-01-05  Satoshi TANAKA  Nov 23, 1999
- Protection to special cases of G4Trap in AddThis()

DAWN-V00-01-04  Satoshi TANAKA  Nov 02, 1999
- Protection to AddPrimitive( G4NURBS )

DAWN-V00-01-03  Satoshi TANAKA  Nov 02, 1999
- Environmental variable G4DAWN_MULTI_WINDOW is
  renamed to G4DAWNFILE_MULTI_WINDOW for DAWN-file driver.
  (G4DAWN_MULTI_WINDOW	still works for a while.)

DAWN-V00-01-02  Satoshi TANAKA	Nov 01, 1999
- Separation of BeginModeling() and FRBeginModeling().
  Co-workable with /run/beamOn with the new vis commands.

DAWN-V00-01-01  Satoshi TANAKA	Aug 26, 1999
- Protection for invalid calling of BeginModeling
- .DAWN.history ==> .DAWN_1.history
   **** It means DAWN version 3.80a or  after is  required ***

DAWN-00-03-06	Satoshi TANAKA	Dec 04, 1998
- Maximun number of generated g4.prim files in the destination
  directory is customizable as: "setenv G4DAWNFILE_MAX_FILE_NUM  N"
  (N is the integer greater than or equal to 1. The default value is 1.)

DAWN-00-03-05	Satoshi TANAKA	Dec 04, 1998
- Revised G4FRSocketConfig.hh together with architecture.gmk.
  Compilation at SUN-CC was made automatic

DAWN-00-03-04	Satoshi TANAKA	Dec 04, 1998
- Bug fix

DAWN-00-03-03	Satoshi TANAKA	Nov 30, 1998
- Destination directiory of g4.prim and g4.eps is customizable
  with the environmental variable "G4DAWNFILE_DEST_DIR".

  Unix:
   % setenv G4DAWNFILE_DEST_DIR   directory_name/

   For example,

   % setenv G4DAWNFILE_DEST_DIR   /tmp/

   Do not forget to add "/" at the end of the directory name.

  NT:
   DOS> set G4DAWNFILE_DEST_DIR   directory_name\

   Do not forget to add "\" at the end of the directory name.

- Auto incremetaion of output file names is supported.
  Names of generated files are:

   DAWN-format files: g4.prim, g4_1.prim, g4_2.prim, ... , g4_100.prim
   EPS files        : g4.eps , g4_1.eps , g4_2.eps , ... , g4_100.eps

  Maximal number of files in one directory is restricted in order to
  avoid explosion of your hard disk. The maximal number is hard-coded.
  You can revise is by editing enum of G4DAWNFILEScene.hh.

  Note that the incrementation is done as follows (pseudo codes)

    filename = "g4.prim" // initialization

    while( filename already exists in the dest directory )
    {
	  increment filename
    }

  It means that if you delete file "g4.prim" in the destination directory,
  the file name in the next generation is still g4.prim.


DAWN-00-03-02	Satoshi TANAKA	Nov 30, 1998

- Backup before going on to tag DAWN-00-03-03.
